package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.StatusPerkawinan;
import com.jasamedika.medifirst2000.vo.StatusPerkawinanVO;

/**
 * Converter class between Pasien and PasienVO
 * 
 * @author Askur
 */
@Component
public class StatusPerkawinanConverter implements BaseVoConverter<StatusPerkawinanVO, StatusPerkawinan> {


	@Override
	public StatusPerkawinan transferVOToModel(StatusPerkawinanVO vo, StatusPerkawinan model) {
		if (null == model)
			model = new StatusPerkawinan();

		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, StatusPerkawinan.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return model;
	}

	@Override
	public List<StatusPerkawinanVO> transferListOfModelToListOfVO(List<StatusPerkawinan> models, List<StatusPerkawinanVO> vos) {

		if (null == vos)
			vos = new ArrayList<StatusPerkawinanVO>();

		if (null == models)
			return vos;

		for (StatusPerkawinan pegawai : models) {
			StatusPerkawinanVO vo = new StatusPerkawinanVO();
			vo=transferModelToVO(pegawai, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public StatusPerkawinanVO transferModelToVO(StatusPerkawinan model, StatusPerkawinanVO vo) {
		if (null == vo)
			vo = new StatusPerkawinanVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, StatusPerkawinanVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	}
	
	
	
	

}
